# class Tk::BWidget::PagesManager

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

add(page, &b) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 28
    def add(page, &b)
      win = window(tk_send('add', tagid(page)))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

compute_size() click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 40
    def compute_size
      tk_send('compute_size')
      self
    end

delete(page) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 45
    def delete(page)
      tk_send('delete', tagid(page))
      self
    end

get_frame(page, &b) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 50
    def get_frame(page, &b)
      win = window(tk_send('getframe', tagid(page)))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

get_page(page) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 62
    def get_page(page)
      tk_send('pages', page)
    end

pages(first=None, last=None) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 66
    def pages(first=None, last=None)
      list(tk_send('pages', first, last))
    end

raise(page=None) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 70
    def raise(page=None)
      tk_send('raise', page)
      self
    end

tagid(id) click to toggle source

    # File lib/tkextlib/bwidget/pagesmanager.rb, line 23
    def tagid(id)
      # id.to_s
      _get_eval_string(id)
    end